VidCutter 5.0.0 po postrzyżynach

Początki tego niepozornego projektu były równie niepozorne jak świadomość użytkowników o istnieniu tego narzędzia.Z czasem jednak VidCutter przebił się do świadomości społecznej. Mało tego, z wersji na wersję zaskakuje tak sprytnie zorganizowanymi zmianami, że po okresie wieku pacholęcego wyrósł na bardzo sensowne narzędzie do cięcia materiału wideo.

VidCutter 5.0.0
Trudno ocenić czemu można przypisać wśród użytkowników nagły wzrost zainteresowania cięciem materiałów wideo. Może pojawił się jakiś nowy serwis wideo, może jakaś nowa forma tworzenia memów, a może po prostu twórcy oprogramowania zawczasu wyczuli powakacyjny boom na tego typu projekty? Bo w krótkich odstępach czasu a wręcz równolegle pojawiło się kilka projektów takiego samego przeznaczenia. I właśnie VidCutter jest przedstawicielem tej niespodziewanej fali małych i poręcznych edytorów do wycinania interesujących nas fragmentów wideo. Co więcej, lista zmian w wersji 5.0.0 jest tak rozbudowana, że bez skrępowania można mówić o nowym kamieniu milowy na drodze rozwoju VidCutter.

Na samym początku zauważymy, że program doczekał się nowej… Ikony. Cóż, o marketingu nie wolno zapominać. Ale zaraz potem dostrzeżemy, że autor wyposażył ten edytor w nową funkcję SmartCut. Za sprawą automatyki i sprytnych wyliczeń usprawni ona przycinanie z uwzględnieniem początku i końca sekwencji keyframes. Niemniej autor ostrzega, że cały proces może być cokolwiek długotrwały. Pojawiła się też opcja View Keyframes (w sekcji informacji o Wideo), która wyświetli zdefiniowane w materiale źródłowym ramki które wykorzystuje SmartCut do swojego działania. Bardzo dobrze wygląda też nowy pasek postępu dający dokładniejsze pojęcie o tym, na jakim etapie jest cały proces przetwarzania. Również sprawniej i precyzyjniej są generowane miniatury w odniesieniu do źródłowego materiału wideo. Poprawek dokonano również w standardowym szybkim przycinaniu, gdzie program stara się dobrać ramki tak dokładnie jak to możliwe. Oprócz tego VidCutter doczekał się całej masy poprawionych błędów i innych drobnych usprawnień. Zdecydowanie warto zajrzeć w ustawienia tego programu.

Wprost z PPA (w przypadku Ubuntu 16.04/17.04/7.10 i Minta 18.xx) zainstalujemy program po serii komend:

sudo add-apt-repository ppa:ozmartian/apps
sudo apt-get update
sudo apt-get install vidcutter

Jeżeli chodzi o Arch Linuksa i Manjaro, to zwyczajowo zaglądamy w zasoby AUR:

yaourt -S vidcutter

0

13 komentarzy

  1. Wyszedł nowy Firefox z wieloma zmianami a na tym blogu o Linuksie i jego kluczowych aplikacji a ni słychu a ni widu :/

  2. Mi na Fedorze 27 potrafi się często zawiesić wersja 57.0.2. Nie działa mi H264 i filmiki na YouTube na mojej ulubionej przeglądarce. Fedora działa idealnie i stabilnie, ale te ich otwarte wojenki sprawiły, że dostałem odpowiedź na forum anglojęzycznym Fedory, że Chromium tego nie będzie wspierał. Wracam chyba do Linux Mint 18.3 Beta lub Manjaro. Myslałem o Antergos, ale wersja z Gnome ma na starcie Xorg, znowu cudowania, aby się przenieść na Wayland.

  3. Zmien na wersje 56 firefoxa.We wszystkich mintach jest 45 albo 54 nie pamiętam,A aktualizacja daje 57.Ja musiałem wrócić do wersji 56 ręcznie i zablokowałem,
    Poza ty,że nie działaja prawie wszystkie dodatki,to problemy z loowaniem itp>>>

  4. No i nie działa,podobnie jak 4.5:
    przemek@Laptop ~ $ vidcutter
    Traceback (most recent call last):
    File „/usr/bin/vidcutter”, line 9, in
    load_entry_point(‚vidcutter==5.0.0’, ‚gui_scripts’, ‚vidcutter’)()
    File „/usr/lib/python3/dist-packages/pkg_resources/__init__.py”, line 542, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
    File „/usr/lib/python3/dist-packages/pkg_resources/__init__.py”, line 2569, in load_entry_point
    return ep.load()
    File „/usr/lib/python3/dist-packages/pkg_resources/__init__.py”, line 2229, in load
    return self.resolve()
    File „/usr/lib/python3/dist-packages/pkg_resources/__init__.py”, line 2235, in resolve
    module = __import__(self.module_name, fromlist=[‚__name__’], level=0)
    File „/usr/lib/python3/dist-packages/vidcutter/__main__.py”, line 41, in
    from vidcutter.videocutter import VideoCutter
    File „/usr/lib/python3/dist-packages/vidcutter/videocutter.py”, line 43, in
    from vidcutter.libs.mpvwidget import mpvWidget
    File „/usr/lib/python3/dist-packages/vidcutter/libs/mpvwidget.py”, line 12, in
    from OpenGL import GL
    File „/usr/lib/python3/dist-packages/OpenGL/GL/__init__.py”, line 3, in
    from OpenGL.GL.VERSION.GL_1_1 import *
    File „/usr/lib/python3/dist-packages/OpenGL/GL/VERSION/GL_1_1.py”, line 10, in
    from OpenGL import platform, constants, constant, arrays
    File „/usr/lib/python3/dist-packages/OpenGL/arrays/__init__.py”, line 22, in
    formathandler.FormatHandler.loadAll()
    File „/usr/lib/python3/dist-packages/OpenGL/arrays/formathandler.py”, line 28, in loadAll
    cls.loadPlugin( entrypoint )
    File „/usr/lib/python3/dist-packages/OpenGL/arrays/formathandler.py”, line 35, in loadPlugin
    plugin_class = entrypoint.load()
    File „/usr/lib/python3/dist-packages/OpenGL/plugins.py”, line 14, in load
    return importByName( self.import_path )
    File „/usr/lib/python3/dist-packages/OpenGL/plugins.py”, line 28, in importByName
    module = __import__( „.”.join(moduleName), {}, {}, moduleName)
    File „/usr/lib/python3/dist-packages/OpenGL/arrays/vbo.py”, line 430, in
    def mapVBO( vbo, access=GL.GL_READ_WRITE ):
    AttributeError: module ‚OpenGL.GL’ has no attribute ‚GL_READ_WRITE’

  5. Na Linux Mint 18.3, wszystko działa idealnie, nie ma co Linux Mint to najlepsza dystrybucja Linuksowa na desktop.

  6. a to ciekawe, u mnie na Arch’u FF57 działa rewelacyjnie a jeśli chodzi o youtube to teraz mogę odtwarzać nawet 4K, wcześniej nie działały płynnie…

  7. Taka rada – jak prosisz o pomoc, to absolutnym minimum jest podanie szczegółowych informacji na temat Twojego problemu, np. w tym wypadku:

    – jakiej dystrybucji Linuksa używasz (Ubuntu? Arch? w której wersji? 32 bit? 64 bit?)
    – w jaki sposób próbujesz zainstalować aplikację? (PPA, Aur, PyPi, kompilacja)

    Tak czy siak, tutaj ma ktoś podobny problem, zainstalował sobie nowszy Python OpenGL binding przy użyciu PyPi.

    https://github.com/ozmartian/vidcutter/issues/72

    Powodzenia.

  8. Używam Linux Mint 18.2 XFCE 64 bit.Instalowałem z PPA.
    natomiast wersja 3.5 działa u mnie bez problemu

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Post comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.